<?php

namespace v1\models;

use app\models\Obra as ModeloObra;

class Obra extends ModeloObra {

  public function fields() {
    return [
      'id',
      'clave',
      'nombre',
      'fechaInicio',
      'fechaFinal',
      'descripcion',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'empleado',
        'herramienta',
    ];
}

  public function getHerramientaObras()
  {
      return $this->hasMany(HerramientaObra::class, ['idObra' => 'id']);
  }

  public function getEmpleado()
  {
      return $this->hasMany(ObraEmpleado::class, ['idObra' => 'id']);
  }

  public function getherramienta()
  {
      return $this->hasMany(ObraHerramienta::class, ['idObra' => 'id']);
  }
}